local FC = ...

FC:register({
	DataType = "VILLAGER_NEED_TYPE",
	Id = "PRIM_NEED",
	NeedType = "PRIMARY_NEED",
	FillDurationInSeconds=120,
	FillRate = 100,
	GracePeriod = 0,
	HappinessFactor = "HAPPI_FACT_1",
	ResourceTypeIcon = "ICON_PRIMARY"
})

FC:register({
	DataType = "VILLAGER_NEED_TYPE",
	Id = "FOOD_NEED",
	NeedType = "FOOD",
	FillDurationInSeconds=120,
	FillRate = 100,
	GracePeriod = 0,
	HappinessFactor = "HAPPI_FACT_1",
	ResourceTypeIcon = "ICON_FOOD"
})

FC:register({
	DataType = "VILLAGER_NEED_TYPE",
	Id = "SERVICE_NEED",
	NeedType = "SERVICE",
	FillDurationInSeconds=120,
	FillRate = 100,
	GracePeriod = 0,
	HappinessFactor = "HAPPI_FACT_1",
	ResourceTypeIcon = "ICON_SERVICE"
})

FC:register({
	DataType = "VILLAGER_NEED_TYPE",
	Id = "GOODS_NEED",
	NeedType = "GOODS",
	FillDurationInSeconds=120,
	FillRate = 100,
	GracePeriod = 0,
	HappinessFactor = "HAPPI_FACT_1",
	ResourceTypeIcon = "ICON_GOODS"
})

FC:register({
	DataType = "VILLAGER_NEED_TYPE",
	Id = "LUXURY_NEED",
	NeedType = "LUXURY",
	FillDurationInSeconds=120,
	FillRate = 100,
	GracePeriod = 0,
	HappinessFactor = "HAPPI_FACT_1",
	ResourceTypeIcon = "ICON_LUXURY"
})

FC:register({
	DataType = "HAPPINESS_FACTOR",
	Id = "HAPPI_FACT_1",
	Name = "as",
	Value = 20,
	IsDecaying = true,
	TimeBeforeDecayingSeconds = 120,
	DecayingRatePerMinute = 2,
	IsCumulative=true,
	IsSolvable = true
})

FC:override({
	Id = "NEWCOMER",
	IsReachedByDefault = true,
	AssetVillagerNeedList = {
	"PRIM_NEED",
	"FOOD_NEED"
	}
})

FC:override({
	Id = "SERF",
	IsReachedByDefault = false,
	AssetVillagerNeedList = {
	"PRIM_NEED",
	"SERVICE_NEED"
	}
})

FC:override({
	Id = "COMMONER",
	IsReachedByDefault = false,
	AssetVillagerNeedList = {
	"FOOD_NEED",
	"GOODS_NEED"
	}
})

FC:override({
	Id = "CITIZEN",
	IsReachedByDefault = false,
	AssetVillagerNeedList = {
	"LUXURY_NEED"
	
	}
})