local FC = foundation.createMod()

FC:registerAssetId("icons/service.png", "ICON_SERVICE")
FC:registerAssetId("icons/primary.png", "ICON_PRIMARY")
FC:registerAssetId("icons/food.png", "ICON_FOOD")
FC:registerAssetId("icons/goods.png", "ICON_GOODS")
FC:registerAssetId("icons/luxury.png", "ICON_LUXURY")

FC:dofile("scripts/configGenerator.lua")
--FC:dofile("scripts/configUpdater.lua")
FC:dofile("scripts/configLoader.lua")
FC:dofile("scripts/customListRegistrator.lua")
FC:dofile("scripts/resourceOverrider.lua")
if FCconfig["main"]["creativeBuildings"] == true then FC:dofile("scripts/creativeBuildings.lua") end
if FCconfig["main"]["fountain"] == true then FC:dofile("scripts/fountain.lua") end
if FCconfig["main"]["creativeHappiness"] == true then FC:dofile("scripts/creativeHappiness.lua") end
FC:dofile("scripts/events.lua")
FC:dofile("scripts/cheatMenu.lua")
FC:dofile("scripts/balancing.lua")
if FCconfig["main"]["villagerNames"] == true then FC:dofile("scripts/names.lua") end