local FC = ...

FC:override({
	Id = "BUILDING_PART_WELL",
	EstateSplendor = {
		{Estate = "LABOUR", Quantity = 50},
		{Estate = "CLERGY", Quantity = 50},
		{Estate = "KINGDOM", Quantity = 50}
	}
})
FC:override({
	Id = "BUILDING_PART_DECORATIVE_BUSH",
	BuildingFunction = {DataType = "BUILDING_FUNCTION_RESOURCE_GENERATOR", ResourceGenerated = "BERRIES", IsForConsumer = true,IsInfinite = true},
})
FC:override({
	Id = "BUILDING_PART_DECORATIVE_CYPRES",
	BuildingFunction = {DataType = "BUILDING_FUNCTION_RESOURCE_GENERATOR", ResourceGenerated = "FAITH", IsForConsumer = true,IsInfinite = true},
	VillagerCapacity = 1000
})
FC:override({
	Id = "BUILDING_PART_MARKET_FOOD_STALL",
	BuildingFunction = {DataType = "BUILDING_FUNCTION_RESOURCE_GENERATOR", ResourceGenerated = "FISH", IsForConsumer = true,IsInfinite = true},
})
---[[
FC:override({
	Id = "BUILDING_PART_MARKET_GOODS_STALL",
	BuildingFunction = {DataType = "BUILDING_FUNCTION_RESOURCE_GENERATOR", ResourceGenerated = "CLOTHES", IsForConsumer = true,IsInfinite = true},
})
--]]
---[[
FC:override({
	Id = "BUILDING_PART_MARKET_LUXURY_STALL",
	BuildingFunction = {DataType = "BUILDING_FUNCTION_RESOURCE_GENERATOR", ResourceGenerated = "WINE", IsForConsumer = true,IsInfinite = true},
})
--]]
---[[
FC:override({
	Id = "BUILDING_PART_BLACKSMITH",
	BuildingFunction = {DataType = "BUILDING_FUNCTION_RESOURCE_GENERATOR", ResourceGenerated = "TOOL", IsForConsumer = true,IsInfinite = true},
})
--]]
FC:override({
	Id = "BUILDING_PART_BAKERY",
	BuildingFunction = {DataType = "BUILDING_FUNCTION_RESOURCE_GENERATOR", ResourceGenerated = "BREAD", IsForConsumer = true,IsInfinite = true},
})
FC:override({
	Id = "BUILDING_PART_FISHING_HUT",
	BuildingFunction = {DataType = "BUILDING_FUNCTION_RESOURCE_GENERATOR", ResourceGenerated = "FISH", IsForConsumer = true,IsInfinite = true},
})
FC:override({
	Id = "BUILDING_PART_GATHERING_CAMP",
	BuildingFunction = {DataType = "BUILDING_FUNCTION_RESOURCE_GENERATOR", ResourceGenerated = "BERRIES", IsForConsumer = true,IsInfinite = true},
})
FC:override({
	Id = "BUILDING_PART_SAWMILL",
	BuildingFunction = {DataType = "BUILDING_FUNCTION_RESOURCE_GENERATOR", ResourceGenerated = "PLANK", IsForConsumer = true,IsInfinite = true},
})
FC:override({
	Id = "BUILDING_PART_SHEEP_FARM",
	BuildingFunction = {DataType = "BUILDING_FUNCTION_RESOURCE_GENERATOR", ResourceGenerated = "WOOL", IsForConsumer = true,IsInfinite = true},
})
FC:override({
	Id = "BUILDING_PART_STONECUTTER_CAMP",
	BuildingFunction = {DataType = "BUILDING_FUNCTION_RESOURCE_GENERATOR", ResourceGenerated = "STONE", IsForConsumer = true,IsInfinite = true},
})
FC:override({
	Id = "BUILDING_PART_STONEMASON",
	BuildingFunction = {DataType = "BUILDING_FUNCTION_RESOURCE_GENERATOR", ResourceGenerated = "POLISHED_STONE", IsForConsumer = true,IsInfinite = true},
})
FC:override({
	Id = "BUILDING_PART_TAILOR_WORKSHOP",
	BuildingFunction = {DataType = "BUILDING_FUNCTION_RESOURCE_GENERATOR", ResourceGenerated = "CLOTHES", IsForConsumer = true,IsInfinite = true},
})
FC:override({
	Id = "BUILDING_PART_WEAVER_HUT",
	BuildingFunction = {DataType = "BUILDING_FUNCTION_RESOURCE_GENERATOR", ResourceGenerated = "WOOLEN_CLOTH", IsForConsumer = true,IsInfinite = true},
})
FC:override({
	Id = "BUILDING_PART_WINDMILL",
	BuildingFunction = {DataType = "BUILDING_FUNCTION_RESOURCE_GENERATOR", ResourceGenerated = "GLASS", IsForConsumer = true,IsInfinite = true},
})
FC:override({
	Id = "BUILDING_PART_WOODCUTTER_CAMP",
	BuildingFunction = {DataType = "BUILDING_FUNCTION_RESOURCE_GENERATOR", ResourceGenerated = "WOOD", IsForConsumer = true,IsInfinite = true},
})
